#-*- coding:utf-8 -*-
# Create your views here.

from django import shortcuts, http
import models

from xml.sax import saxutils


def listMessages(request):
    ''' エントリ一覧を出力 '''

    items = models.getEntries()

    esc = saxutils.escape

    for i in items:
        i.title = esc(i.title)
        i.name = esc(i.name)
        i.body = esc(i.body)

    response = shortcuts.render_to_response('index.html',
                                            {'title':'Message Board',
                                             'items':items,
                                             'posturl':'post/',
                                             'esc':saxutils.escape})
    
    return response



def addMessage(request):
    ''' エントリを追加 '''

    post = request.POST

    title = post.get('title', '')
    name = post.get('name', '')
    body = post.get('body', '')

    models.addEntry(name, title, body)

    return http.HttpResponseRedirect('..')

